BaseComponentSpec (Gradle API 7.6.4)

Package org.gradle.platform.base.component

## Class BaseComponentSpec

- java.lang.Object
- - org.gradle.platform.base.component.internal.AbstractComponentSpec
  - - org.gradle.platform.base.component.internal.DefaultComponentSpec
    - - org.gradle.platform.base.component.BaseComponentSpec

- All Implemented Interfaces:
    `Named`, `ModelElement`, `ComponentSpec`, `GeneralComponentSpec`, `org.gradle.platform.base.internal.ComponentSpecInternal`, `SourceComponentSpec`, `VariantComponent`, `VariantComponentSpec`

      @Incubating
      public class BaseComponentSpec
      extends org.gradle.platform.base.component.internal.DefaultComponentSpec
      implements GeneralComponentSpec

  Base class that may be used for custom `GeneralComponentSpec` implementations. However, it is generally better to use an interface annotated with `Managed` and not use an implementation class at all.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.gradle.platform.base.component.internal.DefaultComponentSpec

      `org.gradle.platform.base.component.internal.DefaultComponentSpec.ComponentInfo`

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Named

      `Named.Namer`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BaseComponentSpec()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ModelMap<BinarySpec>` | `getBinaries()` | The variants produced for this component spec.
    `ModelMap<LanguageSourceSet>` | `getSources()` | The source sets for this component.
    `java.lang.Iterable<Binary>` | `getVariants()` | The variants of this component.

    - ### Methods inherited from class org.gradle.platform.base.component.internal.DefaultComponentSpec

      `create, getInfo`

    - ### Methods inherited from class org.gradle.platform.base.component.internal.AbstractComponentSpec

      `getDisplayName, getIdentifier, getName, getProjectPath, getTypeName, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.gradle.platform.base.ComponentSpec

      `getProjectPath`

    - ### Methods inherited from interface org.gradle.model.ModelElement

      `getDisplayName`

    - ### Methods inherited from interface org.gradle.platform.base.VariantComponent

      `getName`

- - ### Constructor Detail

    - #### BaseComponentSpec

          public BaseComponentSpec()

  - ### Method Detail

    - #### getSources

          public ModelMap<LanguageSourceSet> getSources()

      Description copied from interface: `SourceComponentSpec`
      The source sets for this component.
      Specified by:
        `getSources` in interface `SourceComponentSpec`

    - #### getBinaries

          public ModelMap<BinarySpec> getBinaries()

      Description copied from interface: `VariantComponentSpec`
      The variants produced for this component spec.
      Specified by:
        `getBinaries` in interface `VariantComponentSpec`

    - #### getVariants

          public java.lang.Iterable<Binary> getVariants()

      Description copied from interface: `VariantComponent`
      The variants of this component.
      Specified by:
        `getVariants` in interface `VariantComponent`